List Identities
curl --request GET \
--url https://api.prod.bastion.com/v2/identities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/identities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/identities")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/identities")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"identities": [
{
"kyb_status": {
"kyb_passed": true,
"kyb_failure_reason": "<string>",
"jurisdiction_check_passed": true,
"jurisdiction_check_failure_reason": "<string>",
"allowed_to_transact_fungibles": true
},
"id": "<string>",
"identity_type": "INDIVIDUAL",
"account_ids": [
"<string>"
],
"label": "<string>",
"fiat_operations_enabled": true,
"status": "PENDING_ONBOARDING",
"sub_status": "CREATED",
"type": "INDIVIDUAL"
}
],
"cursor": "<string>"
}Identities
List Identities
List Identities belonging to your application
GET
/
v2
/
identities
List Identities
curl --request GET \
--url https://api.prod.bastion.com/v2/identities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/identities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/identities")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/identities")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"identities": [
{
"kyb_status": {
"kyb_passed": true,
"kyb_failure_reason": "<string>",
"jurisdiction_check_passed": true,
"jurisdiction_check_failure_reason": "<string>",
"allowed_to_transact_fungibles": true
},
"id": "<string>",
"identity_type": "INDIVIDUAL",
"account_ids": [
"<string>"
],
"label": "<string>",
"fiat_operations_enabled": true,
"status": "PENDING_ONBOARDING",
"sub_status": "CREATED",
"type": "INDIVIDUAL"
}
],
"cursor": "<string>"
}Authorizations
Bearer authentication with an API token
Query Parameters
The maximum number of identities to return in a single page
Pagination cursor to be used in subsequent queries to retrieve next page of results
Filter identities by type Identity type
ℹ️ BUSINESS accounts are only supported in the US at this time.
Available options:
IDENTITY_TYPE_UNSPECIFIED, INDIVIDUAL, BUSINESS Example:
"INDIVIDUAL"
Filter identities by label